Yes, as long as your OS is recent enough, it will work fine.